repo/gentoo:master commit in: dev-python/aws-sam-translator/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786681271.25481df87e7bbe7c9df4df2b653530f4c3a8ea38.mgorny@gentoo>
commit:     25481df87e7bbe7c9df4df2b653530f4c3a8ea38
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 14 03:43:38 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 04:21:11 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25481df8

dev-python/aws-sam-translator: Bump to 1.112.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/aws-sam-translator/Manifest             |  1 +
 .../aws-sam-translator-1.112.0.ebuild              | 61 ++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-python/aws-sam-translator/Manifest b/dev-python/aws-sam-translator/Manifest
index a1bdf1b630ac..9bd5ede50c7e 100644
--- a/dev-python/aws-sam-translator/Manifest
+++ b/dev-python/aws-sam-translator/Manifest
@@ -1 +1,2 @@
 DIST serverless-application-model-1.111.0.gh.tar.gz 8162075 BLAKE2B ff12941f0285c12740df8753769137ce87133a7d77b25fb527d47849ce5d98c78f401d17998a7d1320194f2b5fd6c8a168dbf6bcbc6969213b60607de915b51b SHA512 d08cdb94a5654f0e47689911e808fbf45d50c2f27055b98ad5fba75c5d39beb019cc4ead6ea38117b363a4e68d2a5c03f736f3bb5d2eaf476bb305b8881aa4e1
+DIST serverless-application-model-1.112.0.gh.tar.gz 8176916 BLAKE2B 649bcfceae7cecbe35f34bfeb447891cb1cc09142fae8cf0b33764a5fea6647e7419853a169aa73c7f6439a602ac62c5faf838ac68e030a129ff0ccf14cac3b9 SHA512 ff7a791dd8b597b3f47a53053a3e522467e47fa2ab6dd43db0c6ddd29f2b098d86411b3c4b9b38cce4968170dc6ef255ed9481e5937196aea3222b1adb55e0b0

diff --git a/dev-python/aws-sam-translator/aws-sam-translator-1.112.0.ebuild b/dev-python/aws-sam-translator/aws-sam-translator-1.112.0.ebuild
new file mode 100644
index 000000000000..1d063285a4e7
--- /dev/null
+++ b/dev-python/aws-sam-translator/aws-sam-translator-1.112.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1
+
+MY_P=serverless-application-model-${PV}
+DESCRIPTION="A library that transform SAM templates into AWS CloudFormation templates"
+HOMEPAGE="
+	https://github.com/aws/serverless-application-model/
+	https://pypi.org/project/aws-sam-translator/
+"
+SRC_URI="
+	https://github.com/aws/serverless-application-model/archive/v${PV}.tar.gz
+		-> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+	<dev-python/boto3-2[${PYTHON_USEDEP}]
+	>=dev-python/boto3-1.34.0[${PYTHON_USEDEP}]
+	>=dev-python/jsonschema-4.23[${PYTHON_USEDEP}]
+	<dev-python/pydantic-3[${PYTHON_USEDEP}]
+	>=dev-python/pydantic-2.12.5[${PYTHON_USEDEP}]
+	<dev-python/typing-extensions-5[${PYTHON_USEDEP}]
+	>=dev-python/typing-extensions-4.4[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/mock[${PYTHON_USEDEP}]
+		dev-python/parameterized[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# so much noise...
+	sed -i -e '/log_cli/d' pytest.ini || die
+
+	# deps are installed by ebuild, don't try to reinstall them via pip
+	truncate --size=0 requirements/*.txt || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	local -x AWS_DEFAULT_REGION=us-east-1
+	epytest -o addopts=
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.